View Issue Details

IDProjectCategoryView StatusLast Update
0005592gnunet-wwwGeneralpublic2021-04-05 11:27
Reporternikita Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version2021-01Fixed in Version2021-01 
Summary0005592: website: generate rss for news
DescriptionGrothoff wrote on IRC that we need rss generation for planet.gnu.org.
TagsNo tags attached.

Relationships

child of 0005522 closedschanzen new website: improve / fix "/news" system 

Activities

nikita

2019-02-20 17:51

developer   ~0013909

As atom is as easy as rss, I will probably add atom as well.

catonano

2019-02-22 07:05

reporter   ~0013928

Is this ticket meant for 0.11 ?

I'd like to be able to track the progress of the work toward the 0.11 release

nikita

2019-02-22 10:42

developer   ~0013939

No, same reply as in the other ticket.
If it gets in, it gets in. If it doesn't, it doesn't. This is not meant for any specific version and some of the tickets take time.

nikita

2019-03-04 11:33

developer   ~0014142

Precondition is a proper news system. I have ideas how to get there but primarily need to
focus on exams right now (also web related, but other languages ;))
As it is, rss would be kind of awkward to integrate.
I'll commit a static rss file tonight, handwritten.

nikita

2019-03-04 11:35

developer   ~0014143

For both the news and the rss, as well as the other changes, Taler.net should benefit from it too.
It's better to do the news system properly instead of repeating what we have now (no offense but
this doesn't work for permanent URLs and has other issues as pointed out before).

ic.rbow

2019-03-16 18:16

reporter   ~0014213

I'd like to note that it is very awkward now to send links with anchors. Instead of getting into something more focused users arrive somewhere in a middle of content wall and have to tread carefully not to lose focus.

nikita

2019-03-16 19:03

developer   ~0014214

I think I have to drop this for now.
I still have an idea how to get this done in a good way, but for now I have too much on my task list.

@ ic.rbow: I think everyone is aware of this, as has been noted before.

schanzen

2021-02-26 18:42

manager   ~0017567

This works for some time now.

schanzen

2021-04-05 11:27

manager   ~0017689

Website updated.

Issue History

Date Modified Username Field Change
2019-02-20 17:50 nikita New Issue
2019-02-20 17:50 nikita Status new => assigned
2019-02-20 17:50 nikita Assigned To => nikita
2019-02-20 17:51 nikita Note Added: 0013909
2019-02-20 18:58 nikita Relationship added child of 0005522
2019-02-22 07:05 catonano Note Added: 0013928
2019-02-22 10:42 nikita Note Added: 0013939
2019-03-04 11:33 nikita Note Added: 0014142
2019-03-04 11:35 nikita Note Added: 0014143
2019-03-16 18:16 ic.rbow Note Added: 0014213
2019-03-16 19:03 nikita Note Added: 0014214
2019-03-16 19:03 nikita Assigned To nikita =>
2020-10-29 11:34 schanzen Project GNUnet => gnunet-www
2020-10-29 11:34 schanzen Category webpage => General
2020-10-29 11:36 schanzen Target Version => 2021-01
2021-02-26 18:42 schanzen Assigned To => schanzen
2021-02-26 18:42 schanzen Status assigned => resolved
2021-02-26 18:42 schanzen Resolution open => fixed
2021-02-26 18:42 schanzen Note Added: 0017567
2021-03-14 13:59 schanzen Fixed in Version => 2021-01
2021-04-05 11:27 schanzen Note Added: 0017689
2021-04-05 11:27 schanzen Status resolved => closed